#
# Barpanel "EMBEDDER" plugin
# 
# Copyright (C) 2005 - 2006, Federico Pelloni <federico.pelloni@gmail.com>
# Copyright (C) 2008 Job and Esther Technologies Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# NOTE: this plugin is still incomplete.
#

name = "Embedder"
description = "Embed an application into Barpanel"

import barpanel, gtk, gobject

class ContainerWindow(barpanel.PopupWindow):
    def __init__(self, panel):
        barpanel.PopupWindow.__init__(self, panel, 3, gtk.WINDOW_TOPLEVEL)
        self.set_header("Embedder", "Order to your desktop.")
        socket = gtk.Socket()
        socket.connect("plug-added", self._cb_socket, "added")
        socket.connect("plug-removed", self._cb_socket, "removed")
        #socket.add_id(0x220000c)
        socket.add_id(0x1c00001)
        socket.show()
        self.add(socket)
        
    def _cb_socket(self, widget, action):
        widget.show_all()    
        print "Plug %s" % action

class Plugin(barpanel.Plugin):
    def __init__(self, panel, settings):
        barpanel.Plugin.__init__(self, panel, settings)
        self._window = ContainerWindow(panel)
        btn = gtk.ToggleButton("M-bed")
        btn.set_name("EdgeButton")
        btn.connect("toggled", self._window.toggle)
        btn.connect("enter-notify-event", self._window.toggleConditional)
        self.add(btn)
        self.show_all()
